import javax.swing.*;
/**
 * A slightly more complex example in which we use threads to do some
 * animated graphics.
 * 
 * Simon Parsons
 * 4th November 2012
 *
 */
class ThreadMain {
	public static void main(String[] args){
	
	// This is the bit that does the drawing
	ColoredComponent component = new ColoredComponent();

	// Set up threaded objects, giving them access to component to allow
	// them to change color.
	ThreadOne threadOne = new ThreadOne(component);
	ThreadTwo threadTwo = new ThreadTwo(component);

	// Give component access to the threaded objects so that it can start them.
	component.setThreads(threadOne, threadTwo);
	
	// Set up a frame in the usual kind of way
	JFrame frame = new JFrame("Flipping colors!");       
	frame.getContentPane().add(component);        
	frame.setSize(400,400);                                    
	frame.setVisible(true);                                    
	}
}