import java.awt.Color;

/**
 * Here the threaded object plays with the graphics using methods
 * for ColoredComponent
 * 
 * Simon Parsons
 * 4th November
 *
 */
class ThreadOne implements Runnable{
	
	// We have a field that refers to the graphics component
	private Thread myThread;
	private ColoredComponent gComponent;
	
	public ThreadOne(ColoredComponent component){
		gComponent = component;
		myThread = new Thread(this);
	}
	
	public void start(){
		myThread.start();
	}

	// Use the reference to the graphics component to manipulate
	// its color and position.
	public void run(){
		while(true){
			gComponent.changeColor(Color.red);
			gComponent.changePositionY();
			System.out.println("One!");
			try{
				myThread.sleep(100);
			}
			catch(InterruptedException e){
				// Guess we won't get to sleep after all
			}
		}
	}
}	